﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using WebApplication1.Models;
using Syncfusion.EJ2.Navigations;
using System.Web;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
      
        public IActionResult Index()
        {
            List<object> data = new List<object>() {
                new {
                    header = "Events",
                    subItems = new List<object>() {
                        new { text= "Conferences", action = "conference", parameter = "conferenceName", controller = "Home"},
                        new { text= "Music", action = "music", parameter = "instrumentName", controller = "Home" },
                        new { text= "Workshops" }
                    }
                },
                new {
                    header = "Movies",
                    subItems = new List<object>() {
                        new { text= "Now Showing" },
                        new { text= "Coming Soon" }
                    }
                },
                new {
                    header = "Directory",
                    subItems = new List<object>() {
                        new { text= "Media Gallery" },
                        new { text= "Newsletters" }
                    }
                },
                new {
                    header = "Queries",
                    subItems = new List<object>() {
                        new { text= "Our Policy" },
                        new { text= "Site Map"},
                        new { text= "24x7 Support"}
                    }
                },
            };

            MenuFieldSettings menuFields = new MenuFieldSettings()
            {
                Text = new string[] { "header", "text", "value" },
                Children = new string[] { "subItems", "options" }
            };

          

            ViewBag.data = data;
            ViewBag.menuFields = menuFields;
            return View();
        }
      
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        public IActionResult conference(string name)
        {
            return View(); // Triggered for Conference item click
        }
        public IActionResult music(string name)
        {
            return View(); // Triggered for Music item click
        }
      

    }
}
